#   Einfaches Beispiel fr eine Python Anwendung.
#   Simple sample for a python application.
#
#   You need:   www.python.org for Python
#               win32all for Python COM interface
#

# init Python COM interface
import win32com.client
import time

# Start DISTO online, DISTO online starts searching for DISTOs
disto = win32com.client.Dispatch("disto2.application")

# See if a DISTO is connected, wait maximum 20 seconds
if disto.IsDistoConnected(20):
    # a DISTO is connected
    print "DISTO found:"
    print "DISTO Type: ", disto.DistoTypeInternal
    print "DISTO Port: ", disto.GetDistoComPort

    time.sleep(2)
    # Run DISTO tracking measure for 10 seconds and
    # print the results.
    disto.StartTrackingMeasure()
    time.sleep(10)
    disto.StopTrackingMeasure()

    iNbr = disto.GetNbrMeasurement
    i = 0
    while i < iNbr:
        measurement = disto.GetMeasurement(i)
        
        if measurement.IsValid:
            print "Measured Value", measurement.TimeMS, measurement.Value
        if measurement.ErrorCode:
            print "DISTO Error: ", measurement.TimeMS,  measurement.ErrorCode
        i = i+1
    
    print "[EOF]"
    
else:
    print "No DISTO found"
    
